Subject: Re: bug#76538: 31.0.50; 31.0.50; 31.0.50; feature/igc: using magit-section-cycle-global (S-TAB) and magit-section-toggle (TAB) in some random ways blocks GNU Emacs.

From: Helmut Eller <[email-masked]>
Date: Tue, 25 Feb 2025 18:55:46 +0100

On Tue, Feb 25 2025, Pip Cet wrote:

> Thanks for the report!  I tried reproducing it, and indeed Emacs hangs
> for several minutes in back_to_previous_visible_line_start.  However,
> after that, it seems to become usable again.  I tried reproducing this
> again and failed, though.

I think I can reproduce this with the attached script and Magit
4.2.0. from .emacs.d.

I'm not sure if the non-MPS version is much better in this case.  Magit
seems to create an impressive number of markers.

Helmut